# NORMAL3D

#### SYNOPSIS

normal3d reads a Raster3D input file from stdin, applies any coordinate manipulations specified in the header, and writes the modified file to stdout.

    normal3d [options] < infile.r3d > normalized.r3d

The output file from normal3d describes exactly the same image as the original input file. Header records are left unchanged except for the transformation matrix (which becomes the identity matrix) and the format specifiers (which are set to *).

#### OPTIONS

-ang AA
  Only meaningful in conjunction with the -stereo option. Normally stereo separation is introduced by adding a shear operator to the left and right images. The -ang option instead creates stereo separation by rotation the left and right images +/-AA° from the original view angle.
-expand
  The -expand flag causes the program to In-line and normalize all instances of file indirection in the input stream. This results in a single render input file containing no file indirection. The default is to simply copy file indirection lines (those beginning with @) to the new input file without opening them or normalizing their contents.
-h
  The -h flag suppresses all header records in the output file. All objects in the input file are also in the output file, but their coordinate descriptions have been normalized (i.e. the original transformation matrix has been applied).
-size HHHxVVV
  Force the output image size to HHH pixels horizontal and VVV pixels vertical.
-stereo [scratch]
  The -stereo flag causes the program to produce two additional files, left.r3d and right.r3d, containing header records suitable for rendering the normalized object description file as a side-by-side stereo pair (see stereo3d). If a scratch directory string is given, it is prepended to the filenames {scratch}_left.r3d and {scratch}_right.r3d

#### AUTHORS

Ethan A Merritt.

Back to top Raster3D homepage